#if !defined(AFX_OPTIONSWORKDLG_H__80D8A0DC_5630_45ED_8882_986D02AE6EC6__INCLUDED_)
#define AFX_OPTIONSWORKDLG_H__80D8A0DC_5630_45ED_8882_986D02AE6EC6__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// OptionsWorkDlg.h : header file
//
#include <apl_gui.h>
#include "afxwin.h"
/////////////////////////////////////////////////////////////////////////////
// COptionsWorkDlg dialog
class CPSMDoc;

class COptionsWorkDlg : public CaplTranslateDialog
{
// Construction
public:
	COptionsWorkDlg(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(COptionsWorkDlg)
	enum { IDD = IDD_OPTIONS_WORK };
	CButton	m_auto_change_wf_state_ctrl;
	CButton	m_auto_sign_ctrl;
	CButton	m_taskCheckCtrl;
	CButton	m_mesCheckCtrl;
	CEdit	m_taskTimeCtrl;
	CSpinButtonCtrl	m_taskTimeSet;
	CButton	m_show_select_app_dlg_ctrl;
	UINT	m_mesTime;
	BOOL	m_mesDelive;
	CSpinButtonCtrl	m_mesTimeSet;
	CEdit	m_mesTimeCtrl;
	CaplButton	m_ok_btn;
	CaplButton	m_cancel_btn;
	CComboBox	m_sel_context;
	CComboBox	m_sel_conf;
	CString	m_work_folder;
	BOOL	m_show_select_app_dlg;
	BOOL	m_auto_change_wf_state;
	BOOL	m_create_assoc_folder_doc;
	BOOL	m_taskDelive;
	BOOL	m_NotifyWithPersonalMonitor;
	UINT	m_taskTime;
	BOOL	m_auto_sign;
	//}}AFX_DATA

	CPSMDoc *m_doc;

	void InitConfigurations();

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(COptionsWorkDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(COptionsWorkDlg)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnCancelMode();
	afx_msg void OnDeltaposAutoDeliveTimeSet(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnChangeAutoDeliveTime();
	afx_msg void OnAutoDeliveRb();
	afx_msg void OnChangeAutoDeliveTaskTime();
	afx_msg void OnDeltaposAutoDeliveTimeTaskSet(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnAutoDeliveTaskRb2();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
public:
	void SetTimers();
	CWnd* m_buddyMesWnd;
	CWnd* m_buddyTaskWnd;
	UINT iMinTime;
	UINT iMidTime;
	UINT iMaxTime;
	CButton m_useAplMarkup;
	afx_msg void OnBnClickedSelWorkFolder();
	CEdit m_work_folder_ctrl;
	CButton m_UsePesonalMonitorCtrl;
	CComboBox m_SelLogModeCtrl;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_OPTIONSWORKDLG_H__80D8A0DC_5630_45ED_8882_986D02AE6EC6__INCLUDED_)
